<script type="text/javascript">
  function reset_homework(){
      $("#homework_name").val("");
      $("#homework_end_time").val("");
      $("#course_id").val($("#option_select").val());
      $("#homework_attachments").html("<%= escape_javascript(render :partial => 'users/user_homework_attachment', :locals => { :container => HomeworkCommon.new,:has_program => true })%>");
      homework_description_editor.html("");
      $("#homework_editor").toggle();
  }
</script>
<div class="homepageRightBanner mb10">
  <div class="NewsBannerName">作业</div>
</div>
<div class="cl"></div>

<% if @is_teacher%>
    <!-- 老师身份才可以发布作业 -->
    <div class="HomeWork mb10">
      <% homework = HomeworkCommon.new %>
      <% homework.homework_detail_manual = HomeworkDetailManual.new%>
      <%= labelled_form_for homework,:url => user_new_homework_users_path,:method => "post" do |f| %>
          <div id="HomeWorkCon">
            <%= render :partial => 'users/user_homework_form', :locals => { :homework => homework,:f => f,:edit_mode => false } %>
          </div>
      <% end%>
    </div><!----HomeWork end-->
<% end%>

<%= render :partial => 'users/user_homework_list', :locals => {:homework_commons => @homework_commons,:page => 0,:is_in_course => 0} %>
